Subject: Re: [PATCH 0/2] gitk: Support of SHA256 repos

From: Takashi Iwai <[email-masked]>
Date: Mon, 12 May 2025 16:45:18 +0200

On Thu, 08 May 2025 08:21:10 +0200,
Johannes Sixt wrote:
> 
> Am 20.03.25 um 16:41 schrieb Takashi Iwai:
> > Hi,
> > 
> > I recently stumbled on the problem of gitk with sha256 repo (while
> > testing the new openSUSE package git workflow that enforces SHA256);
> > gitk aborts immediately with a message "Can't parse git log output:
> > {commit xxx..}".
> > 
> > After skimming over the net, I found the patch [*] posted in 4 years
> > ago to add the support for sha256, but nothing happened since then,
> > unfortunately.
> > 
> > So here is the revived patch for gitk to add sha256 support, with
> > cleanups and corrections, in addition to the enhancement patch for the
> > missing auto-select length config for sha256.
> > 
> > Only lightly tested on a few sha256 repos.
> > 
> > 
> > Takashi
> > 
> > [*] https://patchwork.kernel.org/project/git/patch/[email-masked]
> > 
> > ===
> > 
> > Rostislav Krasny (1):
> >   gitk: Add a basic support of SHA256 repositories into Gitk
> > 
> > Takashi Iwai (1):
> >   gitk: Add auto-select length preference for SHA256
> > 
> >  gitk-git/gitk | 96 +++++++++++++++++++++++++++++++++++++--------------
> >  1 file changed, 71 insertions(+), 25 deletions(-)
> > 
> 
> Thank you.
> 
> After these patches, I still see a  few mentions of "40" that refer to
> object id lengths and are not converted.
> 
> - a comment above proc longid
> - a regexp in proc shortids
> - in proc setlink
> - in proc mkpatch
> - in proc mktag
> 
> They should be converted, too, I think.

OK, let me try those, too.  I guess it shouldn't be too difficult.
(I didn't know of those features :)

thanks,

Takashi